Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1355709 - [ALL_LANG] Unlocalized strings on New/Edit Cluster > "Migration Policy" -> "Migration Policy Name / Description" [NEEDINFO]
Summary: [ALL_LANG] Unlocalized strings on New/Edit Cluster > "Migration Policy" -> "M...
Keywords:
Status: NEW
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.1.0.3
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
: ---
Assignee: Tomas Jelinek
QA Contact: Bhushan Barve
URL:
Whiteboard:
: 1356529 1356544 1356556 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-12 10:05 UTC by Bhushan Barve
Modified: 2018-08-23 12:07 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Virt
mtessun: needinfo? (michal.skrivanek)
tjelinek: ovirt-future?
mtessun: Triaged+
mtessun: planning_ack+
bbarve: devel_ack?
bbarve: testing_ack+


Attachments (Terms of Use)
migration policy2 (deleted)
2016-07-12 10:05 UTC, Bhushan Barve
no flags Details
Clusters-edit: migration policy translation issues (deleted)
2017-03-17 11:24 UTC, Krishna Babu K
no flags Details

Description Bhushan Barve 2016-07-12 10:05:57 UTC
Created attachment 1178841 [details]
migration policy2

Description of problem: New/Edit Cluster "Migration Policy" tab contains unlocalized text. Please find attached screenshot.


Version-Release number of selected component (if applicable):
 Red Hat Enterprise Virtualization Manager バージョン: 4.0.2-0.2.rc1.el7ev 

How reproducible:
always

Steps to Reproduce:
1. login with ja_JP locale
2. go to clusters > new > migrations policy
3. observe the 'minimal downtime' section

Actual results:
The strings are untranslated

Expected results:
All the strings should be translated.

Additional info:

Comment 1 sandeep shedmake 2016-07-13 08:48:54 UTC
From Comment 0,

Also following strings appear in English:


(1) New Cluster > Migration Policy > Resilience Policy > blue colored 'Help' icon message appear in English

- Defines under which conditions the virtual machines will be migrated.


(2) New Cluster > Migration Policy > Bandwidth > Migration bandwidth limit (Mbps) > blue colored 'Help' icon messages appear in English

- Maximum bandwidth of both outgoing and incoming migrations per Host.
- Auto Bandwidth is copied from Migration Host Network QoS > Rate Limit if it exists. Otherwise it is computed as minimum of link speeds of sending and recieving network interfaces if link speeds are available. Otherwise it behaves as "VDSM" option.
- Hpyervisor default Bandwidth is controlled by local VSDM setting on sending Host.
- Custom User defined.


(3) New Cluster > Migration Policy > 'Additional Properties' > 'Auto Converge migrations' tool-tip message appear in English

- Only available when Legacy policy is selected


(4) Clusters > New Cluster > 'Migration Policy' drop-down messages appear in English
- Legacy
- Minimal downtime
- Suspend workload if need


From above, requesting devel to mark the above said strings for translation.

Comment 2 sandeep shedmake 2016-08-05 07:25:14 UTC
Reproduced this bug with rhevm-4.0.2.4-0.1.el7ev

Comment 3 Bhushan Barve 2017-02-13 06:28:01 UTC
The issue is still reproducible with 4.1.0.3-0.1.el7.

Comment 4 Tomas Jelinek 2017-02-21 12:33:37 UTC
*** Bug 1356544 has been marked as a duplicate of this bug. ***

Comment 5 Tomas Jelinek 2017-02-22 07:52:22 UTC
*** Bug 1356529 has been marked as a duplicate of this bug. ***

Comment 6 Tomas Jelinek 2017-02-22 07:53:07 UTC
*** Bug 1356556 has been marked as a duplicate of this bug. ***

Comment 7 Martin Tessun 2017-02-22 15:31:11 UTC
Due to the current design of the migration policies, it is currently not possible to have some localisation there.

We will revisit this issue in the future.

Comment 8 Tomas Jelinek 2017-03-01 09:22:56 UTC
The untranslated question mark fields are fixed as a part of:  https://bugzilla.redhat.com/1422455

Changing the title of this bug to reflect the scope of this bug and moving to future feature due to technical limitations.

Comment 9 Krishna Babu K 2017-03-17 11:24:22 UTC
Created attachment 1264007 [details]
Clusters-edit: migration policy translation issues

Following issues can be reproducible on 4.1.1.4-0.1.el7 for es_ES locale
 Migration Policy drop-down menu entries are not localized.
 Description for any of the selected menu entry is not localized.

Please refer the attached screen shot.

Comment 10 Martin Tessun 2018-07-06 16:39:09 UTC
Hi Bhushan,

can this still be reproduced with RHV 4.2?

Comment 11 Bhushan Barve 2018-07-10 09:35:46 UTC
Yes Martin, the issue is still seen with 4.2.4.5-0.1.el7_3


Note You need to log in before you can comment on or make changes to this bug.